STEGOSUITE(1)

NAME
stegosuite - Steganography tool to hide information in image files

SYNOPSIS

stegosuite [-hV] [COMMAND]

DESCRIPTION

Stegosuite is a steganography tool to easily hide information in image files. It allows the embedding of text messages and multiple files of any type. In addition, the embedded data is encrypted using AES. Currently supported file types are BMP, GIF, JPG and PNG.

OPTIONS

-h, --help
    Show this help message and exit.

-V, --version
    Print version information and exit.

COMMANDS

help
    Displays help information about the specified command

gui
    Starts the GUI

embed
    Embeds data into image

extract
    Extracts data from image

capacity
    Shows the maximum amount of embeddable data

EXAMPLE

stegosuite help embed
    Displays help for stegosuite embed

EXIT CODES:

0
    Successful program execution

1
    Internal software error: an exception occurred when invoking the business logic of this command.

2
    Usage error: user input for the command was incorrect, e.g., the wrong number of arguments